[arch-commits] Commit in clisp/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat May 16 11:25:20 UTC 2020


    Date: Saturday, May 16, 2020 @ 11:25:20
  Author: felixonmars
Revision: 384295

archrelease: copy trunk to staging-x86_64

Added:
  clisp/repos/staging-x86_64/
  clisp/repos/staging-x86_64/PKGBUILD
    (from rev 384293, clisp/trunk/PKGBUILD)

----------+
 PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

Copied: clisp/repos/staging-x86_64/PKGBUILD (from rev 384293, clisp/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2020-05-16 11:25:20 UTC (rev 384295)
@@ -0,0 +1,34 @@
+# Maintainer: Juergen Hoetzel <juergen at archlinux.org>
+pkgname=clisp
+pkgver=2.49.93
+pkgrel=3
+pkgdesc="ANSI Common Lisp interpreter, compiler and debugger"
+arch=('x86_64')
+license=('GPL')
+url="https://clisp.sourceforge.io/"
+depends=('readline' 'libsigsegv')
+provides=('common-lisp')
+makedepends=('ffcall' 'mercurial')
+options=('!makeflags' '!emptydirs')
+_rev=b55b8196c9f25428304ec3de87383319fd1f2264
+source=(hg+http://hg.code.sf.net/p/clisp/clisp#revision=$_rev)
+md5sums=('SKIP')
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --with-readline --with-ffcall src
+
+  cd src
+  ./makemake --prefix=/usr --with-readline --with-ffcall --with-dynamic-ffi > Makefile
+  make
+}
+
+check() {
+  cd $pkgname
+  make check || :
+}
+
+package() {
+  cd $pkgname/src
+  make DESTDIR=$pkgdir install
+}


More information about the arch-commits mailing list